package com.helix.tasks.model.impl;

import com.helix.tasks.model.Source;
import com.helix.tasks.service.SourceLocalServiceUtil;

import com.liferay.portal.kernel.exception.SystemException;

/**
 * The extended model base implementation for the Source service. Represents a row in the &quot;Helix_Source&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link SourceImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see SourceImpl
 * @see com.helix.tasks.model.Source
 * @generated
 */
public abstract class SourceBaseImpl extends SourceModelImpl implements Source {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a source model instance should use the {@link Source} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            SourceLocalServiceUtil.addSource(this);
        } else {
            SourceLocalServiceUtil.updateSource(this);
        }
    }
}
